Recommendations - Execute Recommendation Action
Execute recommendation action.
Execute a recommended action on a set of recommendation resource(s).
POST https://api.powerplatform.com/analytics/actions/{actionName}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
action
|
path | True |
string |
The name of the action to execute. |
|
api-version
|
query | True |
string |
The API version. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| actionParameters | True |
object |
The collection of parameters to carry out the action for a resource |
| scenario | True |
string |
The name of the recommendation for which the action is triggered |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Too Many Requests |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Advisor |
The request with details to carry out an action on resource(s) |
|
Advisor |
The response for action performed on resources |
|
Advisor |
The result of an action performed on a resource |
AdvisorActionRequest
The request with details to carry out an action on resource(s)
| Name | Type | Description |
|---|---|---|
| actionParameters |
object |
The collection of parameters to carry out the action for a resource |
| scenario |
string |
The name of the recommendation for which the action is triggered |
AdvisorActionResponse
The response for action performed on resources
| Name | Type | Description |
|---|---|---|
| results |
The result of an action performed on a resource |
AdvisorActionResult
The result of an action performed on a resource
| Name | Type | Description |
|---|---|---|
| actionFinalResult |
string |
Final status of the action request |
| error |
string |
The error message associated with any error encountered during the action execution |
| errorCode |
string |
The error code associated with any error encountered during the action execution |
| resourceId |
string |
The unique ID of the resource for which the action was performed |
| statusCode |
integer (int32) |
The status code of the action request for the given resource |